#
# spec file for package pulseaudio-dlna
#

Name:           pulseaudio-dlna
Version:        0.5.2
Release:        %mkrel 1
Summary:        A DLNA server which brings DLNA/UPnP support to PulseAudio
License:        GPL-3.0
Group:          Sound
Url:            https://github.com/masmu/%{name}
Source:         https://github.com/masmu/%{name}/archive/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  python-setuptools
Requires:       python-dbus
Requires:       faac
Requires:       flac
Requires:       lame
Requires:       opus-tools
Requires:       pulseaudio
Requires:       python
Requires:       python-chardet
Requires:       python-docopt
Requires:       python-futures
Requires:       python-gobject
Requires:       python-lxml
Requires:       python-netifaces
Requires:       python-notify2
Requires:       python-protobuf
Requires:       python-psutil 
Requires:       python-requests
Requires:       python-setproctitle
Requires:       python-setuptools
Requires:       python-zeroconf 
Requires:       python-enum-compat
Requires:       sox
Requires:       vorbis-tools
Recommends:     ffmpeg
Suggests:       python-cairo
Suggests:       python-rsvg 
Suggests:       python-gtk 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is pulseaudio-dlna. A small DLNA server which brings DLNA / UPnP and
Chromecast support to PulseAudio and Linux.

It can stream your current PulseAudio playback to different UPnP devices (UPnP
Media Renderers) in your network. Its main goals are: easy to use, no
configuration hassle, no big dependencies.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README.md LICENSE
%{_bindir}/%{name}
%{python_sitelib}/pulseaudio_dlna-%{version}-py%{py_ver}.egg-info/
%{python_sitelib}/pulseaudio_dlna/
%{_mandir}

%changelog
* Tue May 23 2017 bb2 <bb2> - 0.5.2-1pclos2017
- create package
